NUMFMT(1)

NAAM
numfmt - converteer getallen van/naar leesbare teksten

SAMENVATTING
numfmt [OPTIE]... [GETAL]...

BESCHRIJVING

Herformatteer GETAL(len), of de getallen van standaard invoer als er geen gegeven zijn.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

--debug
    waarschuwingen tonen bij ongeldige invoer

-d, --delimiter=X
    te gebruiken scheidingsteken (in plaats van witruimte)

--field=VELDEN
    getallen in deze invoer velden vervangen (standaard=1); zie VELDEN hier onder

--format=OPMAAK
    gebruik het printf drijvende komme getal formaat; zie FORMAAT hier onder voor details

--from=EENHEID
    invoergetallen herschalen naar deze EENHEID (zie onder); standaard is 'none'

--from-unit=GETAL
    de grootte van de invoereenheid (in plaats van 1)

--grouping
    door de taalregio bepaalde cijfergroepering gebruiken (heeft dus geen effect in C- of POSIX-taalregio)

--header[=N]
    de eerste N kopregels zonder converteren tonen; N is 1 wanneer niet opgegeven

--invalid=MODUS
    wat te doen bij ongeldige getallen; MODUS kan zijn: 'abort' (standaard), 'fail', 'warn', 'ignore'

--padding=GETAL
    de uitvoer uitvullen tot dit aantal tekens; een positief getal lijnt rechts uit, een negatief getal links; uitvulling wordt genegeerd als de uitvoer breder is; standaard wordt uitgevuld als witruimte gevonden wordt

--round=METHODE
    te gebruiken afrondingsmethode bij herschalen; METHODE kan zijn: 'up', 'down', 'from-zero' (standaard), 'towards-zero', 'nearest'

--suffix=ACHTERVOEGSEL
    dit achtervoegsel toevoegen aan uitvoergetallen, en accepteren bij invoergetallen

--to=EENHEID
    uitvoergetallen herschalen naar deze EENHEID (zie onder)

--to-unit=GETAL
    de grootte van de uitvoereenheid (in plaats van 1)

-z, --zero-terminated
    regels afsluiten met 0-byte, niet met nieuweregel

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

  Mogelijkheden voor EENHEID zijn:

none
    geen automatische herschaling; achtervoegsels geven een fout

auto
    behalve optioneel enkele/twee letter achtervoegsel: 1K = 1000, 1k = 1000, 1Ki = 1024, 1M = 1000000, 1Mi = 1048576,

si  behalve optioneel enkel letter achtervoegsel: 1k = 1000, 1K = 1000, 1M = 1000000, ...

iec behalve optioneel enkel letter achtervoegsel: 1K = 1024, 1k = 1024, 1M = 1048576, ...

iec-i
    behalve optioneel twee letter achtervoegsel: 1Ki = 1024, 1ki = 1024, 1Mi = 1048576, ...

  VELDEN ondersteund cut(1) stijl veld bereiken

N   N-de veld (tellend vanaf 1)

N-  van N-de veld tot het einde van de regel

N-M van N-de tot en met M-de veld

-M  van eerste tot en met M-de veld

-   alle velden

Meerdere velden en/of bereiken zijn mogelijk, gescheiden door komma's.

FORMAAT moet geschikt zijn om een drijvende komma getal "%f' af te drukken. Een optioneel aanhalingsteken (%´f) maakt --grouping mogelijk (als dat ondersteund wordt door de locale). Een optionele breedte waarde (%10f) zal de uitvoer opvullen. Een optionele nul (%010f) zal met nullen opvullen. Een optionele negatieve waarde (%-10f) zal links uitlijnen. De optionele precisie (%.1f) zal de door de invoer bepaalde precisie overschrijven.

De afsluit-waarde is 0 als alle invoer getallen succesvol geconverteerd werden. Standaard stopt numfmt na de eerste conversie fout met afsluit-waarde 2. --invalid='fail' zal een waarschuwing tonen bij elke conversie fout en de afsluit-waarde is 2. --invalid='warn' diagnosticeert elke conversie fout, maar de afsluit-waarde is 0. Met --invalid='ignore' wordt elke fout niet gediagnosticeerd en de afsluit-waarde is 0.

VOORBEELDEN

    $ numfmt --to=si 1000

    -> "1.0k"

    $ numfmt --to=iec 2048

    -> "2.0K"

    $ numfmt --to=iec-i 4096

    -> "4.0Ki"

    $ echo 1K | numfmt --from=si

    -> "1000"

    $ echo 1K | numfmt --from=iec

    -> "1024"

    $ df -B1 | numfmt --header --field 2-4 --to=si
    $ ls -l | numfmt --header --field 5 --to=iec
    $ ls -lh | numfmt --header --field 5 --from=iec --padding=10
    $ ls -lh | numfmt --header --field 5 --from=iec --format %10f

AUTEUR
Geschreven door Assaf Gordon.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
Volledige documentatie op: <https://www.gnu.org/software/coreutils/numfmt>
of lokaal via: info '(coreutils) numfmt invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.